<?php // phpcs:ignore WordPress.NamingConventions

use Elementor\Controls_Manager;
use Elementor\Widget_Button;
use ElementorPro\Modules\QueryControl\Module;

/**
 * YITH_YWQA_Show_Questions_Elementor_Widget
 */
class YITH_YWQA_Show_Questions_Elementor_Widget extends \Elementor\Widget_Base {

	/**
	 * Get the name
	 *
	 * @return string
	 */
	public function get_name() {
		return 'yith-ywqa-show-questions';
	}

	/**
	 * Get the title
	 *
	 * @return string
	 */
	public function get_title() {
		return esc_html__( 'YITH Questions and Answers', 'yith-woocommerce-questions-and-answers' );
	}

	/**
	 * Get icon
	 *
	 * @return string
	 */
	public function get_icon() {
		return 'far fa-question-circle';
	}

	/**
	 * Get categories
	 *
	 * @return array
	 */
	public function get_categories() {
		return array( 'yith' );
	}

	/**
	 * Get keywords
	 *
	 * @return array
	 */
	public function get_keywords() {
		return array( 'woocommerce', 'product', 'questions', 'and', 'answers' );
	}

	/**
	 * _register_controls
	 *
	 * @return void
	 */
	protected function _register_controls() {}

	/**
	 * Render
	 *
	 * @return void
	 */
	protected function render() {

		echo '<div class="yith-ywqa-show-questions-elementor-widget">';

		echo is_callable( 'apply_shortcodes' ) ? apply_shortcodes( '[ywqa_questions]' ) : do_shortcode( '[ywqa_questions]' );

		echo '</div>';
	}

}
