<?php
/**
 * Admin order file status update
 *
 * @package YITH\YITH_WooCommerce_Questions_and_Answers_Premium\Templates
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * YWQA_Answer
 *
 * @var YWQA_Answer $answer
 */
$question = $answer->get_question();
if ( 0 !== (int) $answer->discussion_author_id ) {
	$username = get_userdata( $answer->discussion_author_id )->data->user_nicename;
	$email    = get_userdata( $answer->discussion_author_id )->data->user_email;
} else {
	$username = $answer->discussion_author_name;
	$email    = $answer->discussion_author_email;
}
?>

<?php do_action( 'woocommerce_email_header', $email_heading, $email ); ?>

	<div class="ywqa-header">

		<div class="ywqa-product-picture">
			<?php echo get_the_post_thumbnail( $answer->product_id, 'thumbnail' ); ?>
		</div>

		<div class="ywqa-description">
			<?php esc_html_e( 'There is a new answer for the question: ', 'yith-woocommerce-questions-and-answers' ); ?>
			<span class="ywqa-the-content">
			<?php
			echo '"' . wc_trim_string( // phpcs:ignore
				wp_strip_all_tags( $question->content ),
				/**
				 * APPLY_FILTERS: ywqa_email_content_trimmed_length
				 *
				 * Filter for the $chars parameter of the wc_trim_string method. Specifies the number of characters to trim. Default 100.
				 *
				 * @param int the trimmed length
				 *
				 * @return int
				 */
				apply_filters( 'ywqa_email_content_trimmed_length', 100 )
			) . '"';
			?>
						</span>
		<div><span><?php esc_html_e( 'Username: ', 'yith-woocommerce-questions-and-answers' ); ?><?php echo wp_kses( $username, 'post' ); ?></span></div>
		<div><span><?php esc_html_e( 'Email: ', 'yith-woocommerce-questions-and-answers' ); ?><?php echo wp_kses( $email, 'post' ); ?></span></div>
		</div>
	</div>

	<div class="ywqa-content">
		<div class="ywqa-content-intro"><?php esc_html_e( 'The answer', 'yith-woocommerce-questions-and-answers' ); ?></div>
		<div class="ywqa-content-description"><?php echo $answer->content; // phpcs:ignore ?></div>
	</div>

	<div class="ywqa-bottom">
		<a class="ywqa-view-product" href="<?php echo esc_url( get_permalink( $answer->product_id ) ); ?>">
			<?php esc_html_e( 'View product', 'yith-woocommerce-questions-and-answers' ); ?></a>
	</div>

<?php
do_action( 'woocommerce_email_footer' );
