<?php
/**
 * Admin order file status update
 *
 * @package YITH\YITH_WooCommerce_Questions_and_Answers_Premium\Templates
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * YWQA_Question
 *
 * @var YWQA_Question $question
 */
$_product = wc_get_product( $question->product_id );
if ( 0 !== (int) $question->discussion_author_id ) {
	$username = get_userdata( $question->discussion_author_id )->data->user_nicename;
	$email    = get_userdata( $question->discussion_author_id )->data->user_email;
} else {
	$username = $question->discussion_author_name;
	$email    = $question->discussion_author_email;
}
?>

<?php do_action( 'woocommerce_email_header', $email_heading, $email ); ?>

	<div class="ywqa-header">
		<div class="ywqa-product-picture">
			<?php echo get_the_post_thumbnail( $question->product_id, 'thumbnail' ); ?>
		</div>

		<div class="ywqa-description">
			<?php // translators: %s is the product name. ?>
			<?php echo sprintf( __( "There is a new question submitted about the product <b>%s</b>.", 'yith-woocommerce-questions-and-answers' ), // phpcs:ignore
			'<a href="' . esc_url( get_permalink( $question->product_id ) ) . '">' . $_product->get_title() . '</a>' ); // phpcs:ignore ?>
			<div><span><?php esc_html_e( 'Username: ', 'yith-woocommerce-questions-and-answers' ); ?><?php echo wp_kses( $username, 'post' ); ?></span></div>
			<div><span><?php esc_html_e( 'Email: ', 'yith-woocommerce-questions-and-answers' ); ?><?php echo wp_kses( $email, 'post' ); ?></span></div>
		</div>
	</div>

	<div class="ywqa-content">
		<div class="ywqa-content-intro"><?php esc_html_e( 'The question ', 'yith-woocommerce-questions-and-answers' ); ?></div>
		<div class="ywqa-content-description"><?php echo $question->content; // phpcs:ignore ?></div>
	</div>

	<div class="ywqa-bottom">
		<a class="ywqa-view-product" href="<?php echo esc_url( get_permalink( $question->product_id ) ); ?>">
			<?php esc_html_e( 'View product', 'yith-woocommerce-questions-and-answers' ); ?></a>
	</div>

<?php
do_action( 'woocommerce_email_footer' );
