<?php
/**
 * Questions Template for YITH WooCommerce Questions and Answers
 *
 * @author        Yithemes
 * @package YITH\YITH_WooCommerce_Questions_and_Answers_Premium\Templates
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
?>

<input type="hidden" id="ywqa-questions-and-answers-product-id" name="ywqa-questions-and-answers" value="<?php echo esc_attr( $product_id ); ?>">

	<?php
	/**
	 * DO_ACTION: yith_questions_and_answers_before_container
	 *
	 * Triggered before questions and answers container in single-product template.
	 */
	do_action( 'yith_questions_and_answers_before_container' );
	?>


<div id="ywqa-questions-and-answers" data-product-id="<?php echo esc_attr( $product_id ); ?>" class="ywqa-container">

	<?php
	/**
	 * DO_ACTION: yith_questions_and_answers_before_content
	 *
	 * Triggered before questions and answers content in single-product template.
	 */
	do_action( 'yith_questions_and_answers_before_content' );
	?>


	<div class="ywqa-content">
		<?php
		/**
		 * DO_ACTION: yith_questions_and_answers_content
		 *
		 * Triggered questions and answers content in single-product template.
		 */
		do_action( 'yith_questions_and_answers_content' );
		?>
	</div>

	<?php
	/**
	 * DO_ACTION: yith_questions_and_answers_after_content
	 *
	 * Triggered after questions and answers content in single-product template.
	 */
	do_action( 'yith_questions_and_answers_after_content' );
	?>
</div>
